package com.liang.service;

import com.liang.entity.PrjContract;
import com.liang.entity.PrjProject;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (PrjContract)表服务接口
 *
 * @author makejava
 * @since 2023-06-06 12:50:45
 */
public interface PrjContractService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PrjContract queryById(Integer id);

    /**
     * 分页查询
     *
     * @param prjContract 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<PrjContract> queryByPage(PrjContract prjContract, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param prjContract 实例对象
     * @return 实例对象
     */
    int insert(PrjContract prjContract);

    /**
     * 修改数据
     *
     * @param prjContract 实例对象
     * @return 实例对象
     */
    int update(PrjContract prjContract);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 批量删除合同
     *
     * @param idList
     * @return
     */
    int batchDelete(List<Integer> idList);

    /**
     * 获取合同列表
     *
     * @return
     */
    List<PrjContract> getContractList(Map map);

    int updateSpzt(PrjContract prjContract);


    /**
     * 更新状态
     */
    int updateZt(Map map);


    /**
     * 更新审批状态
     */
    int updateSpzt(Map map);

    List<PrjContract> selectByMcAndHtjr(PrjContract prjContract);
}
